org.apache.tools.ant

## Class DefaultDefinitions

- java.lang.Object
- - org.apache.tools.ant.DefaultDefinitions

-     public final class DefaultDefinitions
      extends java.lang.Object

  Default definitions.
  Since:
    Ant 1.9.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDefinitions(ComponentHelper componentHelper)` Create a default definitions object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Register the definitions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDefinitions

          public DefaultDefinitions(ComponentHelper componentHelper)

      Create a default definitions object.
      Parameters:
        `componentHelper` - the componenthelper to initialize.

  - ### Method Detail

    - #### execute

          public void execute()

      Register the definitions.